Loading...
Searching...
No Matches
Opm::IOConfig Class Reference

## Public Member Functions

| IOConfig (const Deck &)
| IOConfig (const std::string &input_path)
void | setEclCompatibleRST (bool ecl_rst)
bool | getEclCompatibleRST () const
bool | getWriteEGRIDFile () const
bool | getWriteINITFile () const
bool | getUNIFOUT () const
bool | getUNIFIN () const
bool | getFMTIN () const
bool | getFMTOUT () const
bool | writeAllTransMultipliers () const
const std::string & | getEclipseInputPath () const
void | overrideNOSIM (bool nosim)
void | consistentFileFlags ()
std::string | getRestartFileName (const std::string &restart_base, int report_step, bool output) const
bool | getOutputEnabled () const
void | setOutputEnabled (bool enabled)
const std::string & | getOutputDir () const
void | setOutputDir (const std::string &outputDir)
const std::string & | getBaseName () const
void | setBaseName (const std::string &baseName)
std::string | fullBasePath () const
| Return a string consisting of outputpath and basename; i.e.
std::string | getInputDir () const
bool | initOnly () const
bool | operator== (const IOConfig &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static IOConfig | serializationTestObject ()
static bool | rst_cmp (const IOConfig &full_config, const IOConfig &rst_config)

## Member Function Documentation

## fullBasePath()

std::string Opm::IOConfig::fullBasePath | ( |  | ) | const

Return a string consisting of outputpath and basename; i.e.

/path/to/sim/CASE

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/IOConfig/IOConfig.hpp
- opm/input/eclipse/EclipseState/IOConfig/IOConfig.cpp